Bug 394084 - Arrange Docker does not indicate it only works on vector layers
Summary: Arrange Docker does not indicate it only works on vector layers
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: git master (please specify the git hash!)
Platform: Compiled Sources Linux
: NOR minor
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords: investigated, triaged, usability
Depends on:
Blocks:
 
Reported: 2018-05-10 13:22 UTC by Thomas Giles
Modified: 2018-11-20 08:57 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Giles 2018-05-10 13:22:50 UTC
There's nothing within the docker to suggest this is a vector-only tool, so the user would assume it should work on any kind of layer.
Comment 1 Emmet O'Neill 2018-09-16 00:19:05 UTC
True. That's confusing and should probably be improved.
Comment 2 Anna Medonosova 2018-11-16 14:33:44 UTC
Git commit cdc608d37ade87ed6ce45119d9352af9c8bab4ce by Anna Medonosova.
Committed on 16/11/2018 at 14:33.
Pushed by amedonosova into branch 'master'.

Arrange docker: UI polish

Summary:
  * New, more legible layout.
  * The arrange controls work only with the Select Shapes Tool. If another tool is active, the docker displays a message
    instead of the buttons. (Fixes bug 394084.)
  * Also fixes mismatched align icons (bug 399984).
Related: bug 399984

Reviewers: #krita, rempt

Reviewed By: #krita, rempt

Subscribers: rempt

Tags: #krita

Differential Revision: https://phabricator.kde.org/D16902

M  +27   -22   krita/pics/misc-dark/dark_ox16-action-object-align-horizontal-left-calligra.svg
M  +22   -27   krita/pics/misc-dark/dark_ox16-action-object-align-horizontal-right-calligra.svg
M  +2    -2    krita/pics/misc-dark/misc-dark-icons.qrc
M  +26   -22   krita/pics/misc-light/light_ox16-action-object-align-horizontal-left-calligra.svg
M  +22   -26   krita/pics/misc-light/light_ox16-action-object-align-horizontal-right-calligra.svg
M  +2    -2    krita/pics/misc-light/misc-light-icons.qrc
M  +11   -0    plugins/dockers/arrangedocker/arrange_docker_widget.cpp
M  +1    -0    plugins/dockers/arrangedocker/arrange_docker_widget.h
M  +502  -272  plugins/dockers/arrangedocker/arrange_docker_widget.ui
M  +9    -1    plugins/dockers/arrangedocker/arrangedocker_dock.cpp
M  +1    -0    plugins/dockers/arrangedocker/arrangedocker_dock.h

https://commits.kde.org/krita/cdc608d37ade87ed6ce45119d9352af9c8bab4ce
Comment 3 Halla Rempt 2018-11-20 08:57:34 UTC
Git commit 2883c08abef9df98975b9a38e480528747d434ec by Boudewijn Rempt, on behalf of Anna Medonosova.
Committed on 20/11/2018 at 08:25.
Pushed by rempt into branch 'krita/4.1'.

Arrange docker: UI polish

Summary:
  * New, more legible layout.
  * The arrange controls work only with the Select Shapes Tool. If another tool is active, the docker displays a message
    instead of the buttons. (Fixes bug 394084.)
  * Also fixes mismatched align icons (bug 399984).
Related: bug 399984

Reviewers: #krita, rempt

Reviewed By: #krita, rempt

Subscribers: rempt

Tags: #krita

Differential Revision: https://phabricator.kde.org/D16902

M  +27   -22   krita/pics/misc-dark/dark_ox16-action-object-align-horizontal-left-calligra.svg
M  +22   -27   krita/pics/misc-dark/dark_ox16-action-object-align-horizontal-right-calligra.svg
M  +2    -2    krita/pics/misc-dark/misc-dark-icons.qrc
M  +26   -22   krita/pics/misc-light/light_ox16-action-object-align-horizontal-left-calligra.svg
M  +22   -26   krita/pics/misc-light/light_ox16-action-object-align-horizontal-right-calligra.svg
M  +2    -2    krita/pics/misc-light/misc-light-icons.qrc
M  +11   -0    plugins/dockers/arrangedocker/arrange_docker_widget.cpp
M  +1    -0    plugins/dockers/arrangedocker/arrange_docker_widget.h
M  +502  -272  plugins/dockers/arrangedocker/arrange_docker_widget.ui
M  +9    -1    plugins/dockers/arrangedocker/arrangedocker_dock.cpp
M  +1    -0    plugins/dockers/arrangedocker/arrangedocker_dock.h

https://commits.kde.org/krita/2883c08abef9df98975b9a38e480528747d434ec